<?xml version="1.0" encoding="UTF-8"?>
<ui version="4.0">
 <class>screens::ConnectionControl</class>
 <widget class="QWidget" name="screens::ConnectionControl">
  <property name="geometry">
   <rect>
    <x>0</x>
    <y>0</y>
    <width>405</width>
    <height>417</height>
   </rect>
  </property>
  <layout class="QGridLayout" name="gridLayout_3">
   <item row="1" column="0">
    <widget class="QPushButton" name="b_connect">
     <property name="minimumSize">
      <size>
       <width>0</width>
       <height>50</height>
      </size>
     </property>
     <property name="text">
      <string notr="true">Connect</string>
     </property>
     <property name="icon">
      <iconset resource="../../../../resources/icons/silk.qrc">
       <normaloff>:/silk/icons/connect.png</normaloff>:/silk/icons/connect.png</iconset>
     </property>
    </widget>
   </item>
   <item row="0" column="0">
    <widget class="QGroupBox" name="selectBox">
     <property name="title">
      <string notr="true">Select Serial Port</string>
     </property>
     <layout class="QGridLayout" name="gridLayout">
      <item row="0" column="0">
       <layout class="QHBoxLayout" name="horizontalLayout_2">
        <property name="sizeConstraint">
         <enum>QLayout::SetMaximumSize</enum>
        </property>
        <item>
         <widget class="QComboBox" name="cb_serialPortInfo"/>
        </item>
        <item>
         <widget class="QToolButton" name="b_refreshPorts">
          <property name="icon">
           <iconset resource="../../../../resources/icons/silk.qrc">
            <normaloff>:/silk/icons/arrow_refresh.png</normaloff>:/silk/icons/arrow_refresh.png</iconset>
          </property>
         </widget>
        </item>
       </layout>
      </item>
      <item row="1" column="0">
       <layout class="QVBoxLayout" name="verticalLayout">
        <property name="sizeConstraint">
         <enum>QLayout::SetMaximumSize</enum>
        </property>
        <item>
         <widget class="QLabel" name="descriptionLabel">
          <property name="text">
           <string notr="true">Description:</string>
          </property>
          <property name="wordWrap">
           <bool>true</bool>
          </property>
         </widget>
        </item>
        <item>
         <widget class="QLabel" name="manufacturerLabel">
          <property name="text">
           <string notr="true">Manufacturer:</string>
          </property>
         </widget>
        </item>
        <item>
         <widget class="QLabel" name="serialNumberLabel">
          <property name="text">
           <string notr="true">Serial number:</string>
          </property>
         </widget>
        </item>
        <item>
         <widget class="QLabel" name="locationLabel">
          <property name="text">
           <string notr="true">Location:</string>
          </property>
         </widget>
        </item>
        <item>
         <widget class="QLabel" name="vidLabel">
          <property name="text">
           <string notr="true">Vendor ID:</string>
          </property>
         </widget>
        </item>
        <item>
         <widget class="QLabel" name="pidLabel">
          <property name="text">
           <string notr="true">Product ID:</string>
          </property>
         </widget>
        </item>
       </layout>
      </item>
      <item row="2" column="0">
       <spacer name="verticalSpacer">
        <property name="orientation">
         <enum>Qt::Vertical</enum>
        </property>
        <property name="sizeHint" stdset="0">
         <size>
          <width>20</width>
          <height>40</height>
         </size>
        </property>
       </spacer>
      </item>
     </layout>
    </widget>
   </item>
   <item row="1" column="1">
    <widget class="QPushButton" name="b_disconnect">
     <property name="enabled">
      <bool>false</bool>
     </property>
     <property name="minimumSize">
      <size>
       <width>0</width>
       <height>50</height>
      </size>
     </property>
     <property name="text">
      <string notr="true">Disconnect</string>
     </property>
     <property name="icon">
      <iconset resource="../../../../resources/icons/silk.qrc">
       <normaloff>:/silk/icons/disconnect.png</normaloff>:/silk/icons/disconnect.png</iconset>
     </property>
    </widget>
   </item>
   <item row="2" column="0" colspan="2">
    <widget class="Line" name="line">
     <property name="orientation">
      <enum>Qt::Horizontal</enum>
     </property>
    </widget>
   </item>
   <item row="0" column="1">
    <widget class="QGroupBox" name="parametersBox">
     <property name="title">
      <string notr="true">Select Parameters</string>
     </property>
     <layout class="QHBoxLayout" name="horizontalLayout">
      <item>
       <layout class="QFormLayout" name="newSettingsForm">
        <item row="0" column="0">
         <widget class="QLabel" name="baudRateLabel">
          <property name="text">
           <string notr="true">Baud Rate</string>
          </property>
         </widget>
        </item>
        <item row="0" column="1">
         <widget class="QComboBox" name="baudRateComboBox"/>
        </item>
        <item row="1" column="0">
         <widget class="QLabel" name="bitLengthLabel">
          <property name="text">
           <string notr="true">Bit Length</string>
          </property>
         </widget>
        </item>
        <item row="1" column="1">
         <widget class="QComboBox" name="bitLengthComboBox"/>
        </item>
        <item row="2" column="0">
         <widget class="QLabel" name="parityLabel">
          <property name="text">
           <string notr="true">Parity</string>
          </property>
         </widget>
        </item>
        <item row="2" column="1">
         <widget class="QComboBox" name="parityComboBox"/>
        </item>
        <item row="3" column="0">
         <widget class="QLabel" name="stopBitLabel">
          <property name="text">
           <string notr="true">Stop Bit</string>
          </property>
         </widget>
        </item>
        <item row="3" column="1">
         <widget class="QComboBox" name="stopBitComboBox"/>
        </item>
        <item row="4" column="0">
         <widget class="QLabel" name="flowControlLabel">
          <property name="text">
           <string notr="true">Flow Control</string>
          </property>
         </widget>
        </item>
        <item row="4" column="1">
         <widget class="QComboBox" name="flowControlComboBox"/>
        </item>
        <item row="5" column="0">
         <widget class="QLabel" name="protocolLabel">
          <property name="text">
           <string notr="true">Protocol</string>
          </property>
         </widget>
        </item>
        <item row="5" column="1">
         <widget class="QComboBox" name="protocolComboBox"/>
        </item>
       </layout>
      </item>
     </layout>
    </widget>
   </item>
   <item row="3" column="0" colspan="2">
    <widget class="QGroupBox" name="groupBox">
     <property name="title">
      <string notr="true">Tools</string>
     </property>
     <layout class="QGridLayout" name="gridLayout_2">
      <item row="0" column="0">
       <widget class="QPushButton" name="b_setConnectionParams">
        <property name="minimumSize">
         <size>
          <width>0</width>
          <height>50</height>
         </size>
        </property>
        <property name="text">
         <string notr="true">Set connection
parameters</string>
        </property>
        <property name="icon">
         <iconset resource="../../../../resources/icons/silk.qrc">
          <normaloff>:/silk/icons/wrench.png</normaloff>:/silk/icons/wrench.png</iconset>
        </property>
       </widget>
      </item>
      <item row="0" column="1">
       <widget class="QPushButton" name="b_autoSearch">
        <property name="sizePolicy">
         <sizepolicy hsizetype="Minimum" vsizetype="Minimum">
          <horstretch>0</horstretch>
          <verstretch>0</verstretch>
         </sizepolicy>
        </property>
        <property name="minimumSize">
         <size>
          <width>0</width>
          <height>50</height>
         </size>
        </property>
        <property name="text">
         <string notr="true">Auto search</string>
        </property>
        <property name="icon">
         <iconset resource="../../../../resources/icons/silk.qrc">
          <normaloff>:/silk/icons/magnifier.png</normaloff>:/silk/icons/magnifier.png</iconset>
        </property>
       </widget>
      </item>
     </layout>
    </widget>
   </item>
  </layout>
 </widget>
 <resources>
  <include location="../../../../resources/icons/silk.qrc"/>
  <include location="../../../../resources/icons/silk.qrc"/>
 </resources>
 <connections/>
</ui>
